# FrameworkTypes

Defines the types of frameworks.

### Fields

Field | Description
--- | ---
All | All frameworks supported on the current platform, regarless of their installation state, target device or vendor.
Browser | Frameworks that run in a browser.
Compact | Frameworks that target compact devices.
Desktop | Frameworks that typically target full desktop devices.
Installed | Frameworks that are installed on the current system.
Mono | Frameworks released as part of the open-source Mono project.
MS | Frameworks released by Microsoft.
NotInstalled | Frameworks that are supported on the current platform, but are not installed.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)